#cd /home/ken/processing/1659905303_3664_2022-08-18_037b55af6b77191b2610f5cedb5d2bd962f0251720bf0
ttsserver="http://localhost:5500"
ep_num="3664"

echo "This is Hacker Public Radio " > "hpr${ep_num}_summary.txt"

## Jump to encoding

function create_tts_summary {
  HPR_summary="$( cat "hpr${ep_num}_summary.txt" )"
  echo "INFO: Converting text \"${HPR_summary}\" to speech."
  curl -X 'GET' -G --data-urlencode "voice=coqui-tts:en_ljspeech" --data-urlencode "text=${HPR_summary}" --data-urlencode "vocoder=high" --data-urlencode "denoiserStrength=0.03" --data-urlencode "cache=false" ${ttsserver}/api/tts -H 'accept: */*' --output ~hpr${ep_num}_summary.wav
}

create_tts_summary_ok="not-ok"

while [ "${create_tts_summary_ok}" != "OK" ]
do
  create_tts_summary

  mpv ~hpr${ep_num}_summary.wav

  read -p "Is the text to speech correct (y|N) ? " -n 1 -r
  echo    # (optional) move to a new line
  if [[ $REPLY =~ ^[Yy]$ ]]
  then
    create_tts_summary_ok="OK"
  else
    echo "WARN: Please correct the text and try again."
    xdg-open "hpr${ep_num}_summary.txt" 2>&1 &
    inotifywait --event modify "hpr${ep_num}_summary.txt"
  fi
done
echo "INFO: TTS complete."
# 
# 
# 
# 
# 
# 
# 
# 
# 
# 
# 
# 
# 
# 
# 
# exit 9999
